Loading...
Searching...
No Matches
janus_audiobridge_room Struct Reference
Collaboration diagram for janus_audiobridge_room:
[legend]

## Data Fields

guint64 | room_id
gchar * | room_id_str
gchar * | room_name
gchar * | room_secret
gchar * | room_pin
uint32_t | room_ssrc
gboolean | is_private
uint32_t | sampling_rate
gboolean | spatial_audio
gboolean | audiolevel_ext
gboolean | audiolevel_event
uint | default_prebuffering
uint | default_expectedloss
int32_t | default_bitrate
int | audio_active_packets
int | audio_level_average
volatile gint | record
gchar * | record_file
gchar * | record_dir
gboolean | mjrs
gchar * | mjrs_dir
FILE * | recording
gint64 | record_lastupdate
volatile gint | wav_header_added
gint64 | rec_start_time
gboolean | allow_plainrtp
gboolean | destroy
GHashTable * | participants
GHashTable * | anncs
gboolean | check_tokens
gboolean | muted
GHashTable * | allowed
GThread * | thread
volatile gint | destroyed
janus_mutex | mutex
GHashTable * | groups
GHashTable * | groups_byid
GHashTable * | rtp_forwarders
OpusEncoder * | rtp_encoder
janus_mutex | rtp_mutex
int | rtp_udp_sock
janus_refcount | ref

## Field Documentation

## allow_plainrtp

gboolean janus_audiobridge_room::allow_plainrtp

## allowed

GHashTable* janus_audiobridge_room::allowed

## anncs

GHashTable* janus_audiobridge_room::anncs

## audio_active_packets

int janus_audiobridge_room::audio_active_packets

## audio_level_average

int janus_audiobridge_room::audio_level_average

## audiolevel_event

gboolean janus_audiobridge_room::audiolevel_event

## audiolevel_ext

gboolean janus_audiobridge_room::audiolevel_ext

## check_tokens

gboolean janus_audiobridge_room::check_tokens

## default_bitrate

int32_t janus_audiobridge_room::default_bitrate

## default_expectedloss

uint janus_audiobridge_room::default_expectedloss

## default_prebuffering

uint janus_audiobridge_room::default_prebuffering

## destroy

gboolean janus_audiobridge_room::destroy

## destroyed

volatile gint janus_audiobridge_room::destroyed

## groups

GHashTable* janus_audiobridge_room::groups

## groups_byid

GHashTable* janus_audiobridge_room::groups_byid

## is_private

gboolean janus_audiobridge_room::is_private

## mjrs

gboolean janus_audiobridge_room::mjrs

## mjrs_dir

gchar* janus_audiobridge_room::mjrs_dir

## muted

gboolean janus_audiobridge_room::muted

## mutex

janus_mutex janus_audiobridge_room::mutex

## participants

GHashTable* janus_audiobridge_room::participants

## rec_start_time

gint64 janus_audiobridge_room::rec_start_time

## record

volatile gint janus_audiobridge_room::record

## record_dir

gchar* janus_audiobridge_room::record_dir

## record_file

gchar* janus_audiobridge_room::record_file

## record_lastupdate

gint64 janus_audiobridge_room::record_lastupdate

## recording

FILE* janus_audiobridge_room::recording

## ref

janus_refcount janus_audiobridge_room::ref

## room_id

guint64 janus_audiobridge_room::room_id

## room_id_str

gchar* janus_audiobridge_room::room_id_str

## room_name

gchar* janus_audiobridge_room::room_name

## room_pin

gchar* janus_audiobridge_room::room_pin

## room_secret

gchar* janus_audiobridge_room::room_secret

## room_ssrc

uint32_t janus_audiobridge_room::room_ssrc

## rtp_encoder

OpusEncoder* janus_audiobridge_room::rtp_encoder

## rtp_forwarders

GHashTable* janus_audiobridge_room::rtp_forwarders

## rtp_mutex

janus_mutex janus_audiobridge_room::rtp_mutex

## rtp_udp_sock

int janus_audiobridge_room::rtp_udp_sock

## sampling_rate

uint32_t janus_audiobridge_room::sampling_rate

## spatial_audio

gboolean janus_audiobridge_room::spatial_audio

## thread

GThread* janus_audiobridge_room::thread

## wav_header_added

volatile gint janus_audiobridge_room::wav_header_added

The documentation for this struct was generated from the following file:

- janus_audiobridge.c